> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Void a Vendor Credit

> **Scopes:** `vendor_credit:update`



## OpenAPI

````yaml /api-reference/openapi.json post /v0/business/{business_id}/vendor-credit/{vendor_credit_id}/void
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/vendor-credit/{vendor_credit_id}/void:
    post:
      tags:
        - Vendor Credit
      summary: Void a Vendor Credit
      description: '**Scopes:** `vendor_credit:update`'
      operationId: >-
        void_vendor_credit_v0_business__business_id__vendor_credit__vendor_credit_id__void_post
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            type: string
            format: biz_string
            title: Business Id
        - name: vendor_credit_id
          in: path
          required: true
          schema:
            type: string
            format: vc_string
            title: Vendor Credit Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorCreditSuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - vendor_credit:update
components:
  schemas:
    VendorCreditSuccess:
      properties:
        data:
          $ref: '#/components/schemas/VendorCreditPublic'
      type: object
      required:
        - data
      title: VendorCreditSuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    VendorCreditPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The ID of the Business that the vendor credit is associated with
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        vendor_id:
          type: string
          format: ven_string
          title: Vendor Id
          description: The ID of the Vendor that issued the credit
          examples:
            - ven_ApaM9xeQtNyVk5qpaHJbNj
        number:
          type: string
          maxLength: 255
          title: Number
          description: The number of the vendor credit
          examples:
            - VC-001
        amount:
          type: number
          title: Amount
          description: The amount of the vendor credit
          examples:
            - 100
        memo:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Memo
          description: Description of the vendor credit
        issued_at:
          type: string
          format: date-time
          title: Issued At
          description: The date and time the vendor credit was issued
        journal_entry_id:
          type: string
          format: je_string
          title: Journal Entry Id
          description: The journal entry that issued the credit
          examples:
            - je_R2fAXCjqJPdpYata112zyW
        voided_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Voided At
          description: The date and time the vendor credit was voided
        created_by:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Created By
          description: The entity that created the vendor credit
        id:
          type: string
          format: vc_string
          title: Id
          description: The ID of the vendor credit
          examples:
            - vc_WQMDNUHpBThYSNh4AprDBo
        voided:
          type: boolean
          title: Voided
          description: Whether the vendor credit has been voided
          readOnly: true
      type: object
      required:
        - business_id
        - vendor_id
        - number
        - amount
        - issued_at
        - journal_entry_id
        - id
        - voided
      title: VendorCreditPublic
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````